Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Archived » M2M (model-to-model transformation) » [QVT ] example problem
[QVT ] example problem [message #68895] Tue, 11 December 2007 17:38 Go to next message
Gary Leask is currently offline Gary LeaskFriend
Messages: 28
Registered: July 2009
Junior Member
I downloaded the QVT project m2m-qvto-SDK-incubation-1.0M1.zip and tried
to load the example and I get the Error

java.lang.NoClassDefFoundError: org/eclipse/ocl/cst/CSTNode
at
org.eclipse.m2m.qvt.oml.editor.ui.QvtConfiguration.getHyperl inkDetectors(QvtConfiguration.java:153)
at
org.eclipse.jface.text.source.SourceViewer.configure(SourceV iewer.java:391)
at
org.eclipse.ui.texteditor.AbstractTextEditor.createPartContr ol(AbstractTextEditor.java:3201)
at
org.eclipse.ui.texteditor.StatusTextEditor.createPartControl (StatusTextEditor.java:53)
at
org.eclipse.ui.texteditor.AbstractDecoratedTextEditor.create PartControl(AbstractDecoratedTextEditor.java:378)
at
org.eclipse.m2m.qvt.oml.editor.ui.QvtEditor.createPartContro l(QvtEditor.java:157)

Am I missing some required plugins and where do I get them.
Re: [QVT ] example problem [message #68956 is a reply to message #68895] Tue, 11 December 2007 18:41 Go to previous messageGo to next message
Eclipse UserFriend
Originally posted by: cdamus.ca.ibm.com

Hi, Gary,

It looks like you are missing the MDT OCL feature(s).

http://www.eclipse.org/modeling/mdt/downloads/?project=ocl

Cheers,

Christian


Gary Leask wrote:

> I downloaded the QVT project m2m-qvto-SDK-incubation-1.0M1.zip and tried
> to load the example and I get the Error
>
> java.lang.NoClassDefFoundError: org/eclipse/ocl/cst/CSTNode
> at
>
org.eclipse.m2m.qvt.oml.editor.ui.QvtConfiguration.getHyperl inkDetectors(QvtConfiguration.java:153)
> at
>
org.eclipse.jface.text.source.SourceViewer.configure(SourceV iewer.java:391)
> at
>
org.eclipse.ui.texteditor.AbstractTextEditor.createPartContr ol(AbstractTextEditor.java:3201)
> at
>
org.eclipse.ui.texteditor.StatusTextEditor.createPartControl (StatusTextEditor.java:53)
> at
>
org.eclipse.ui.texteditor.AbstractDecoratedTextEditor.create PartControl(AbstractDecoratedTextEditor.java:378)
> at
>
org.eclipse.m2m.qvt.oml.editor.ui.QvtEditor.createPartContro l(QvtEditor.java:157)
>
> Am I missing some required plugins and where do I get them.
Re: [QVT ] example problem [message #68977 is a reply to message #68956] Tue, 11 December 2007 20:01 Go to previous messageGo to next message
Gary Leask is currently offline Gary LeaskFriend
Messages: 28
Registered: July 2009
Junior Member
Christian,

It looks the CSTNode class in this latest version of the ocl has been
repackaged in an internal package org\eclipse\ocl\internal\cst

The project still won't load.

Thanks,
Gary
Re: [QVT ] example problem [message #68997 is a reply to message #68977] Tue, 11 December 2007 20:44 Go to previous messageGo to next message
Eclipse UserFriend
Originally posted by: cdamus.ca.ibm.com

Hi, Gary,

The QVTo component is developing on the 1.2 release of MDT OCL, not the 1.1
release.

The 1.2 M3 build or a later integration build of OCL should work for you.

Cheers,

Christian

Gary Leask wrote:

> Christian,
>
> It looks the CSTNode class in this latest version of the ocl has been
> repackaged in an internal package org\eclipse\ocl\internal\cst
>
> The project still won't load.
>
> Thanks,
> Gary
Re: [QVT ] example problem [message #69098 is a reply to message #68997] Wed, 12 December 2007 15:36 Go to previous messageGo to next message
Gary Leask is currently offline Gary LeaskFriend
Messages: 28
Registered: July 2009
Junior Member
Christian,

This is probably a stupid question but I'm using
Eclipse 3.3
EMF 2.3
UML 2.1

Do I need to move to the latest (i.e. Eclipse 3.4, EMF 2.4) to use OCL 1.2
or will it work with what I have?

Thanks

Gary
Re: [QVT ] example problem [message #69140 is a reply to message #69098] Wed, 12 December 2007 16:19 Go to previous messageGo to next message
Eclipse UserFriend
Originally posted by: cdamus.ca.ibm.com

Hi, Gary,

OCL 1.2 requires EMF 2.4. It has a narrow (minor-version) dependency on EMF
because the OCL metamodel binding for Ecore extends the Ecore metamodel.

cW

Gary Leask wrote:

> Christian,
>
> This is probably a stupid question but I'm using
> Eclipse 3.3
> EMF 2.3
> UML 2.1
>
> Do I need to move to the latest (i.e. Eclipse 3.4, EMF 2.4) to use OCL 1.2
> or will it work with what I have?
>
> Thanks
>
> Gary
Re: [QVT ] example problem [message #69180 is a reply to message #69098] Wed, 12 December 2007 18:04 Go to previous message
Sergey Boyko is currently offline Sergey BoykoFriend
Messages: 171
Registered: July 2009
Senior Member
Hi Gary,

Download page of Operational QVT provides links to Eclipse, EMF and OCL
versions to be used against.

Eclipse build S-3.4M3
http://download.eclipse.org/eclipse/downloads/drops/S-3.4M3- 200711012000/index.php

EMF build 2.4.0M3
http://www.eclipse.org/downloads/download.php?file=/modeling /emf/emf/downloads/drops/2.4.0/S200711062140/emf-sdo-SDK-2.4 .0M3.zip

OCL build 2.2.0M3
http://www.eclipse.org/downloads/download.php?file=/modeling /mdt/uml2/downloads/drops/2.2.0/S200711121155/mdt-uml2-SDK-2 .2.0M3.zip


Regards,
Sergey


Gary Leask wrote:
> Christian,
>
> This is probably a stupid question but I'm using Eclipse 3.3
> EMF 2.3
> UML 2.1
> Do I need to move to the latest (i.e. Eclipse 3.4, EMF 2.4) to use OCL 1.2
> or will it work with what I have?
>
> Thanks
> Gary
>
Previous Topic:[ATL] Running an ANT file: File with following path:"..." does not exist in the workspace
Next Topic:[ATL] Refines
Goto Forum:
  


Current Time: Sat Apr 10 15:42:45 GMT 2021

Powered by FUDForum. Page generated in 0.02002 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top